version: "3.7"

services:
  server:
    build: ./server
    depends_on:
      - db
    networks:
      - network-backend
      - network-frontend
  
  client:
    build: ./client
    depends_on:
      - server
    networks:
      - network-frontend

  db:
    build: ./database
    environment:
      MYSQL_DATABASE: 'users'
      MYSQL_USER: 'user'
      MYSQL_PASSWORD: 'user'
      MYSQL_ROOT_PASSWORD: '123456'
    networks:
      - network-backend
    volumes:
      - db-data:/var/lib/mysql

    networks:
      - network-backend
      - network-frontend

volumes:
  db-data:

networks:
  network-backend:
  network-frontend: